<?php
namespace Claromentis\Console;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array();
use Pimple\ServiceProviderInterface;
use Claromentis\Console\Api\BootableProviderInterface;




class Container extends \Pimple\Container
{
    
    
    
    
    
    
    protected $providers = [];
    
    
    
    
    
    
    protected $booted = false;
    
    
    
    
    
    
    
    
    
    
    
    public function register(ServiceProviderInterface $_a12c8da0f19064827eae63fd854c04e5, array $_d69bc5256e082f5dee25c2438a6ddc93 = array())
    {
        $this->providers[] = $_a12c8da0f19064827eae63fd854c04e5;
        parent::register($_a12c8da0f19064827eae63fd854c04e5, $_d69bc5256e082f5dee25c2438a6ddc93);
        return $this;
    }
    
    
    
    
    
    
    public function boot()
    {
        if ($this->booted) {
            return;
        }
        $this->booted = true;
        foreach ($this->providers as $_a12c8da0f19064827eae63fd854c04e5) {
            if ($_a12c8da0f19064827eae63fd854c04e5 instanceof BootableProviderInterface) {
                $_a12c8da0f19064827eae63fd854c04e5->boot($this);
            }
        }
    }
}